EDIT - feature request #5365

Add delete configurator to Media View image gallery

10/28/2015 05:15 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 90%
Category: taxeditor Estimated time: 4:00 hours
Target version: Release 4.5

Severity: normal

Description

we may need to discuss how the default configuration for deleting media from an image galery should look like. Delete completely

from database if not used elsewhere?

=> result: we always want a popup ("Do you really want to ...") and combine it with some configurator information (e.g. checkbox:

fully delete from database i fpossible/not referenced elsewhere).
Default value should be: delete if possible
see also #4730

extracted from #3469

Related issues:
Related to EDIT - bug #6915: Delete does not work in media view for taxon

Closed

Associated revisions

Revision f1a1a089 - 11/03/2016 09:40 AM - Katja Luther

fix the deletion of media in bulk editor

Revision 6fe75af3 - 11/03/2016 09:49 AM - Katja Luther

fix media deletion

Revision a4f62469 - 11/03/2016 09:52 AM - Katja Luther

add a new DeleteMediaConfiguratorComposite

Revision d747b2b9 - 01/17/2017 11:00 AM - Katja Luther

fix #5365: add delete configuration to media view

History

#1 - 12/15/2015 10:24 AM - Patrick Plitzner

- Subject changed from [DISCUSS] How to delete Media to Add delete configurator to Media View image gallery

#2 - 12/15/2015 10:25 AM - Patrick Plitzner

- Assignee changed from Andreas Miiller to k.luther -
- Target version deleted (Unassigned CDM tickets)

- Priority changed from New to Priority14

#3 - 05/02/2016 03:06 PM - Andreas Miiller

- Target version changed from Release 4.0 to Release 4.1

#4 - 05/24/2016 01:04 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#5 - 07/06/2016 03:21 PM - Andreas Miiller
- Target version changed from Release 4.2 to Release 4.3

#6 - 09/23/2016 03:32 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#7 - 09/26/2016 01:26 PM - Andreas Miiller
- Description updated

- % Done changed from 0 to 30

- Estimated time set to 4:00 h

#8 - 12/01/2016 02:04 PM - Andreas Miuller

- Target version changed from Release 4.4 to Release 4.5

#9 - 01/12/2017 02:46 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

This works now. Please have a look. | have to find the changeset...

#10 - 01/12/2017 02:54 PM - Katja Luther
- % Done changed from 30 to 90

#11 - 01/12/2017 04:44 PM - Andreas Miiller

- Status changed from New to Resolved

#12 - 01/13/2017 02:05 PM - Patrick Plitzner
- Category changed from cdmlib to taxeditor

- Assignee changed from Patrick Plitzner to Katja Luther

There is no popup at all when | delete an image from an image gallery. | tried it with an image attached to a taxon in the Media view. Am | missing
something?

#13 - 01/14/2017 12:44 AM - Andreas Miiller

- Status changed from Resolved to Feedback

#14 - 01/16/2017 10:08 AM - Katja Luther

Sorry, | added the delete configuration only to the bulk editor. Will add it to the media galery as well,

#15 - 01/17/2017 11:00 AM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 90 to 50

Applied in changeset taxeditor|d747b2b97eb8df327a6096e37a9b644cbd950295.

#16 - 01/17/2017 12:41 PM - Katja Luther
- Assignee changed from Katja Luther to Patrick Plitzner

- % Done changed from 50 to 90

#17 - 01/18/2017 09:45 AM - Patrick Plitzner
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

When trying to delete an unsaved, recently created image from an image gallery | get an NPE

login : admin

editor version : 4.5.0.qualifier
server : localhost (localhost-dev)
schema version : 4.1.0.0.201607300000
os : Linux 4.4.0-59-generic amd64
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/d747b2b97eb8df327a6096e37a9b644cbd950295

java : 1.7.

0_40

org.eclipse.core.commands.ExecutionException: While executing the operation, an exception occurred
at org.eclipse.core.commands.operations.DefaultOperationHistory.execute (DefaultOperationHistory. java:521)

at eu.etaxonomy.taxeditor.model.AbstractUtility$1l.run (AbstractUtility.java:345)
.jface.operation.ModalContext.runInCurrentThread (ModalContext.java:464)
.Jjface.operation.ModalContext.run (ModalContext.java:372)
.Jjface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)
swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)
jface.window.ApplicationWindow.run (ApplicationWindow. java:756)
ui.internal.WorkbenchWindow.run (WorkbenchWindow. java:2649)
ui.internal.progress.ProgressManager$SRunnableWithStatus.run (ProgressManager. java:1346)
swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)
ui.internal.progress.ProgressManager$7.run (ProgressManager. java:1184)
swt.widgets.Synchronizer.syncExec (Synchronizer. java:180)
ui.internal.UISynchronizer.syncExec (UISynchronizer. java:150)
swt.widgets.Display.syncExec (Display.java:4330)
ui.internal.progress.ProgressManager.runInUI (ProgressManager.java:1182)

at eu.etaxonomy.taxeditor.model.AbstractUtility.runInUI (AbstractUtility.java:657)

at eu.etaxonomy.taxeditor.model.AbstractUtility.executeOperation (AbstractUtility.java:363)
at eu.etaxonomy.taxeditor.editor.view.descriptive.handler.DeleteHandler.execute (DeleteHandler. java:132)
uil.internal.handlers.HandlerProxy.execute (HandlerProxy.java:293)
core.commands.Command.executeWithChecks (Command. java:476)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:508)
ui.internal.handlers.HandlerService.executeCommand (HandlerService. java:169)
ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandlerService. java:241)
ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandlerService.java:241)
ui.menus.CommandContributionItem.handleWidgetSelection (CommandContributionItem. java:829)
uil.menus.CommandContributionItem.access$19 (CommandContributionItem. java:815)
ui.menus.CommandContributionItems$5.handleEvent (CommandContributionItem. java:805)
swt.widgets.EventTable.sendEvent (EventTable. java:84)

swt.widgets.Widget.sendEvent (Widget.java:1258)
swt.widgets.Display.runDeferredEvents (Display. java:3588)
swt.widgets.Display.readAndDispatch (Display.java:3209)
ui.internal.Workbench.runEventLoop (Workbench. java:2701)
ui.internal.Workbench.runUI (Workbench. java:2665)
uil.internal.Workbench.access$4 (Workbench. java:2499)
ui.internal.Workbench$7.run (Workbench. java:679)
core.databinding.observable.Realm.runWithDefault (Realm. java:332)
ul.internal.Workbench.createAndRunWorkbench (Workbench. java:668)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)
equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)
core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:110

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:79)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
NativeMethodAccessorImpl.invokeO (Native Method)

.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)
.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)
Caused by:
equinox.launcher.Main.invokeFramework (Main. java:622)
equinox.launcher.Main.basicRun (Main. java:577)
equinox.launcher.Main.run(Main. java:1410)
equinox.launcher.Main.main (Main.java:1386)

java.lang.NullPointerException
at eu.etaxonomy.cdm.api.service.MediaServicelImpl.isDeletable (MediaServiceImpl. java:158)

at eu.etaxonomy.cdm.api.service.MediaServiceImpl.delete (MediaServiceImpl. java:102)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:606)
at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)
springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:15

springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (TransactionI
java:99)
springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction (Transactio
nAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterceptor.java:9

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
.FrameworkServlet.processRequest (FrameworkServlet. java:969)
.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:316
access.intercept.FilterSecurityInterceptor.invoke (FilterSecurityInterc
access.intercept.FilterSecurityInterceptor.doFilter (FilterSecurityInte
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
access.ExceptionTranslationFilter.doFilter (ExceptionTranslationFilter.
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
.session.SessionManagementFilter.doFilter (SessionManagementFilter. java:
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
servletapi.SecurityContextHolderAwareRequestFilter.doFilter (SecurityCo
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
savedrequest .RequestCacheAwareFilter.doFilter (RequestCacheAwareFilter.
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

.authentication.www.BasicAuthenticationFilter.doFilterInternal (BasicAut

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (SecurityContextPersi
springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTracelfPossible (Remotelnvoc
more

#18 - 01/19/2017 02:09 PM - Andreas Miiller

- Private changed from Yes to No

#19 - 08/15/2017 12:29 PM - Patrick Plitzner

- Related to bug #6915: Delete does not work in media view for taxon added

#20 - 10/29/2021 11:43 AM - Katja Luther

- Status changed from Feedback to Closed

The NPE is fixed in the meanwhile, so i close the ticket.
